forrest-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Thorsten Scherler <thors...@apache.org>
Subject Re: [eclipse] How to install?
Date Tue, 05 Jul 2005 21:49:25 GMT
Cheers, I will try tomorrow, have to go to sleep now. 

salu2

On Tue, 2005-07-05 at 17:05 -0400, Anil Ramnanan wrote:
> Thorsten Scherler wrote:
> 
> >Hello Anil, hello Ross,
> >
> >how can I install the eclipse plugin Anil is writting?
> >
> >Which are the requirements for eclipse?
> >
> >I tried with Version: 3.0.2, but I could not managed to install it. 
> >
> >Please advice.
> >
> >TIA
> >
> >salu2
> >  
> >
> I am currently using Eclipse 3.1 with the EMF/JEM/GEF Updates and the 
> Web tools project. Here are the instructions for the installation of the 
> proper plugins from the readme file. This should get you up and running.
> 
> Getting Eclipse
> ---------------
> 
> If you use Eclipse and an XML plugin as your usual editing environemnt I
> recomend that you have a completely separate installation for this work.
> The reason being there is a pre-alpha XML editor in there and it may not be
> as good as your existing environement yet (I'd love to know what is 
> good/bad
> about it so I can feed it back to the WTP project at Eclipse). If you don't
> use eclipse for XML editing at present then just use your normal 
> installation.
> 
> - download Eclipse 3.1M7 (you need the full SDK)
> 
> - Extract the complete tree it into a new directory
>   (we named it forrestEclipse)
>  
> - Run forrestEclipse/eclipse.exe
> 
> Installing Required Plugins
> ---------------------------
> 
> - Help -> Software Updates... -> Find and Install
>   - select "Search for new features to install"
>   - check the selection box for "Eclipse.org update site"
>   - expand the "Eclipse.org update site" tree node
>   - ensure that the following  options are checked
>     - EMF SDK 2.0.1
>     - GEF SDK 3.0.1
>     - JEM
>   - click "Next"
>   - wait while eclipse checks for updates
>   - check (at least) the following updates
>     - Eclipse Modelling Framework
>     - EMF SDK
>     - EMF Service Data Objects
>     - Graphical Editing Framework
>     - XSD Sxhema Infoset Model
>   - click "Next"
>   - accept the license aggreement (after reading it of course)
>   - click "Next"
>   - click "Finish"
>   - you will be asked if you want to install various plugins, just
>     click "Install"
>   - this will take a while, especially if you are on a slow connection
>   - once all plugins are installed you will need to restart forrestEclipse
>    
> - Check the plugins are all installed correctly
>   - Help -> Software Updates -> Manage Configuration
>   - Ensure the configuration dialog is set to display disabled features
>     - third button from left in the toolbar should be depressed
>   - You should see the following features enabled (i.e. they do not have 
> a little
>     red no-entry sign on their icon
>   - If any are disabled then enable them by selecting them and clicking 
> "Enable"
>     in the right pane
>  
> - install the the WTP project
>   - download page is 
> http://download.eclipse.org/webtools/downloads/drops/S-1.0M4-200504292037/
>   - extract the zip into forestEclipse
>  
> - restart forrestEclipse using the command "eclipse.exe -clean" (this will
>   reload all the plugin descriptors, you do not need the "-clean" flag in
>   subsequent restarts
> 
> 
> 
> Regards,
> Anil
> 
-- 
thorsten

"Together we stand, divided we fall!" 
Hey you (Pink Floyd)


Mime
View raw message